#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.69])
AC_INIT([bejmp], [1.0.0], [dmy@dmy.dmy])
AC_CONFIG_SRCDIR([config.h.in])
AC_CONFIG_HEADERS([config.h])

#my_add ---
AM_INIT_AUTOMAKE([foreign subdir-objects 1.9 tar-pax])
#LT_INIT
# ~$ automake --foreign --subdir-obj ... みたいな感じ。
# foreignはgnu内部ルール検査を飛ばす。AUTHERファイルが必須とかなんとか。野良ソフトなんで。
# sub-objはソースdirにaaa.oも出力する。オプションが無いとrootdirに出されてカオス。
# 1.9はautomakeの動作バージョン指定。オプションtar-paxは1.9以上必須。
# tar-paxはファイル名max16文字だか何だかを256に緩和する。posix2001以上。ないと不便。
AM_MAINTAINER_MODE([disable])

#インストールで相手の環境を汚したくない 内部フォルダに設定する フルパスじゃないとダメみたい
#AC_PREFIX_DEFAULT([../install])
sv=`pwd`;cd `dirname $0`;DESTDIR=`pwd`"/inst"
AC_SUBST(DESTDIR)
#echo "$pdir"
#AC_PREFIX_DEFAULT(['$(my_INSDIR)'])
cd $sv

# Checks for programs.
AC_PROG_CC
PKG_PROG_PKG_CONFIG

AC_PROG_AWK
AC_PROG_CC
AC_PROG_CPP
AC_PROG_INSTALL
AC_PROG_MAKE_SET

# Checks for libraries.
# AC_CHECK_LIB([dl], [main])
# AC_CHECK_LIB([m], [main])
# AC_CHECK_LIB([pthread], [main])
PKG_CHECK_MODULES([GEANY], [geany])
#pkg-config: gas pg


# Checks for header files.
AC_PATH_X
AC_CHECK_HEADERS([libintl.h stdlib.h string.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_CHECK_HEADER_STDBOOL
AC_C_INLINE
AC_TYPE_INT64_T
AC_TYPE_SIZE_T
AC_TYPE_UINT8_T

# Checks for library functions.
AC_FUNC_MALLOC
AC_FUNC_REALLOC
AC_CHECK_FUNCS([memmove memset strchr strerror strpbrk])


AC_CONFIG_FILES([Makefile
                 src/Makefile])
AC_OUTPUT
